#

Welcome to nnbench, a framework for reproducibly benchmarking machine learning models.
The main goals of this project are portable and customizable benchmarking for ML models, and easy integration into existing ML pipelines.

Highlights:

- Easy definition, bookkeeping and organization of machine learning benchmarks,
- Enriching benchmark results with context to properly track and annotate results,
- Streaming results to a variety of data sinks.

::cards:: cols=3

- title: Quickstart
  content: Step-by-step installation and first operations
  icon: ":octicons-flame-24:{ .landing-page-icon }"
  url: quickstart.md

- title: Examples
  content: Examples on how to use nnbench
  icon: ":octicons-repo-clone-24:{ .landing-page-icon }"
  url: tutorials/index.md

- title: API Reference
  content: Full documentation of the Python API
  icon: ":octicons-file-code-24:{ .landing-page-icon }"
  url: reference/nnbench/index.md

- title: User Guide
  content: Solving specific tasks with nnbench
  icon: ":octicons-tasklist-24:{ .landing-page-icon }"
  url: guides/index.md

- title: Contributing
  content: How to contribute to the project
  icon: ":octicons-code-of-conduct-24:{ .landing-page-icon }"
  url: CONTRIBUTING.md

::/cards::
